Create or update a webhook relay
curl --request POST \
--url 'https://api.vida.dev/api/v2/webhookRelay/{type}?token=' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/webhook/twilio",
"timeout": 5000,
"headers": [
{
"Authorization": "Bearer xyz"
},
{
"X-Customer-ID": "abc123"
}
],
"successStatusCodes": [
200,
201,
202
]
}
'import requests
url = "https://api.vida.dev/api/v2/webhookRelay/{type}?token="
payload = {
"url": "https://example.com/webhook/twilio",
"timeout": 5000,
"headers": [{ "Authorization": "Bearer xyz" }, { "X-Customer-ID": "abc123" }],
"successStatusCodes": [200, 201, 202]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/webhook/twilio',
timeout: 5000,
headers: [{Authorization: 'Bearer xyz'}, {'X-Customer-ID': 'abc123'}],
successStatusCodes: [200, 201, 202]
})
};
fetch('https://api.vida.dev/api/v2/webhookRelay/{type}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Webhook Relay for type 'twilioSMS' configured successfully."
}{
"success": false,
"message": "headers must be an array of single-key objects"
}{
"success": false,
"message": "Unauthorized Request"
}{
"success": false,
"message": "Webhook Relay is a premium feature. Please upgrade your account."
}{
"success": false,
"message": "Webhook Relay type 'foo' is not supported."
}{
"success": false,
"message": "Failed to store configuration."
}Webhooks
Create or update a webhook relay
Forward incoming webhooks of the specified type to your URL.
POST
/
api
/
v2
/
webhookRelay
/
{type}
Create or update a webhook relay
Authorizations
Vida API Token
Path Parameters
Relay type (e.g. twilioSMS, chargebee)
Show child attributes
Show child attributes
Body
application/json
Absolute HTTP/HTTPS endpoint that will receive the forwarded webhook.
Example:
"https://example.com/webhook/twilio"
Timeout (ms) before the forward request is aborted.
Example:
5000
Custom HTTP headers (array of single-key objects).
Example:
[
{ "Authorization": "Bearer xyz" },
{ "X-Customer-ID": "abc123" }
]
Status codes treated as success by Vida when your endpoint responds.
Example:
[200, 201, 202]
⌘I